# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name unix-time

Name:           ghc-%{pkg_name}
Version:        0.1.8
Release:        1%{?dist}
Summary:        Unix time parser/formatter and utilities

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-old-time-devel
# End cabal-rpm deps

%description
Fast parser, formatter, and utilities for Unix time


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Mon Jun 03 2013 Jens Petersen <petersen@redhat.com> - 0.1.8-1
- update to 0.1.8

* Sat Mar 23 2013 Jens Petersen <petersen@redhat.com> - 0.1.5-1
- update to 0.1.5

* Mon Feb 11 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.7.0
